## org.hibernate.hql
Class NameGenerator

    java.lang.Object
      org.hibernate.hql.NameGenerator

    public final class NameGenerator

extends Object

Provides utility methods for generating HQL / SQL names. Shared by both the 'classic' and 'new' query translators.

Author:
  josh

Method Summary
`static String[][]` `generateColumnNames(Type[] types, SessionFactoryImplementor f)`
`static String` `scalarName(int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateColumnNames

    public static String[][] generateColumnNames(Type[] types,
                                                 SessionFactoryImplementor f)
                                          throws MappingException

  Throws:
    `MappingException`

### scalarName

    public static String scalarName(int x,
                                    int y)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.